const CacheBase = require("../cache.base");
const system = require("../../system");
const settings = require("../../../config/settings");
class LoginErrorCache extends CacheBase {
    constructor() {
        super();
    }
    isdebug() {
        return settings.env == "dev";
    }
    desc() {
        return "缓存登录错误信息";
    }
    prefix() {
        return "g_login_error:"
    }
    async buildCacheVal(cachekey, inputkey, val, ex, ...items) {
        if (val) {
            return val;
        }
        return null;
    }
}
module.exports = LoginErrorCache;